import sys
import map as mp
import planner as pl
import numpy as np

#instantiation of map and planner
map = mp.Map()
planner = pl.Planner()

################################################
# Testing
################################################
#maze name, (size_x, size_y) in vrep, (offset_x, offset_y) for coordinates transformation, voxel_size, start_position in the map, goal_position in the map, execution flag
test = ("./mazes/maze1.png",(10,8.6),(5,4.3),0.1,(92,75),(5,20),True)
test = ("./mazes/maze2.png",(15,15),(7.5,7.5),0.1,(140,105),(50,20),True)
test = ("./mazes/maze3.png",(10,10),(5,5),0.1,(90,90),(10,10),True)

map.from_file(test[0],test[1],test[2],test[3])
start = test[4]
goal = test[5]

######################################
#path planning - own code
######################################
path = planner.plan(map, start, goal)

######################################
#path execution - own code
######################################
ret = planner.execute(map, start, goal)

######################################
#path planning - ompl code
######################################
path = planner.plan_ompl(map, start, goal)

######################################
#path execution - ompl code
######################################
ret = planner.execute_ompl(map, start, goal)